Bug 113956 - SMB printer configuration issue in redhat-config-printer
SMB printer configuration issue in redhat-config-printer
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-printer (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
http://bugzilla.redhat.com/bugzilla/s...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-20 11:59 EST by Naveed Ahmad
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:31:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Naveed Ahmad 2004-01-20 11:59:34 EST
Description of problem:
It seems that the bug reported earlier for Redhat 9 (Bug #88201) has 
again appeared in Redhat Enterprise Linux ES v3.

Redhat Enterprise Linux printer configuration does not seem to 
function when attempting to use the same input values from Redhat 9 
(Workgroup, Server, Share, User, Password)

Redhat 9 was configured like this:

Workgroup: GLOBAL (our company workgroup)
Server: OFC2K
Share: HP-LJ-1010
User name: Administrator
Password: <administratorpassword>

This printer is a is connected directly to a windows machine (ofc2k) 
that is a member of 'global' workgroup.

I've tried to apply these same settings to Redhat Enterprise Linux ES 
in the following way (by clicking Specify and filling in the 
following values in the 'Authentication' window:

Workgroup: GLOBAL (our company workgroup)
Server: OFC2K
Share: HP-LJ-1010
User name: Administrator
Password: <administratorpassword>

When I click 'OK' in the 'Authentication' disappears for a bit (like 
its going to work) and then comes back with the same data in the 
fields.  I guess I was expecting some kind of error message if there 
is something that isn't correct.

This process used to work perfectly fine with Redhat 9 and we had the 
same printer configured without any problem.

Version-Release number of selected component (if applicable):
redhat-config-printer-0.6.47.3.13-1

How reproducible:
Every time.

Steps to Reproduce:
1. Select 'Printing' from the panel.
2. Enter 'root' password if needed.
3. Click 'New', Click 'Forward', Name: hplj1010, Description: ignore, 
click Forward.
4. Select 'Networked Windows (SMB)' as queue type
5. Click 'Specify'
6. Enter values described in Summary, click 'OK'
  
Actual results:
Authentication window goes away and comes back with no additional 
feed back.  Repeated clicks on 'OK' have same result.

Expected results:
The printer should have been identified and configured as it used to 
happen in Redhat 9.

Additional info:
Comment 1 Naveed Ahmad 2004-01-20 14:50:49 EST
I have used the following command to test the Windows 2000 share from 
Redhat Enterprise Linux:

# cat ./.bash_profile | smbclient -U Administrator //OFC2K/HP-LJ-1010 
<password> -c "print -"

The output was as expected.

I did try the solution suggested in Bug #88201 but it does not work.
Comment 2 Tim Waugh 2004-01-21 05:16:56 EST
(Do you mean bug #88291?)

Please attach the output of 'printconf-tui --Xexport', after replacing
your password with '<password>'.  Thanks.
Comment 3 Naveed Ahmad 2004-01-21 07:16:58 EST
Opps! I meant Bug# 88021 (sorry my bad...)

The output of 'printconf-tui --Xexport' is as below:

<?xml version="1.0"?>
<adm_context VERSION="0">
  <id NAME="local" SERIAL="1">
    <null/>
    <null/>
    </id>
  <datatree>
    <printconf TYPE="LIST">
      <print_queues TYPE="LIST">
        </print_queues>
      </printconf>
    </datatree>
  </adm_context>

Comment 4 Tim Waugh 2004-01-21 09:33:18 EST
That shows no queues configured at all.  How did you configure your
print queue?
Comment 5 Naveed Ahmad 2004-01-21 11:21:58 EST
A print queue is what I am trying to configure using redhat-config-
printer on Redhat Enterprise Linux ES v3. 

As outlined in the 'Bug Comments' above, while defining the print 
queue when I get to the stage of specifying 'Queue Type', I 
select 'Networked Windows (SMB)' and click on 'Specify' to open 
the 'Authentication' window and then specify the values outlined in 
the 'Bug Comments' above, when I press OK, the Authentication window 
goes away and comes back with no additional feed back.  Repeated 
clicks on 'OK' have same result. Therefore, I am not able to define a 
print queue for the SMB shared printer.

However, even after failing to define a print queue for SMB sahred 
printer, when I use the following command to test the same SMB share 
from Redhat Enterprise Linux:

# cat ./.bash_profile | smbclient -U Administrator //OFC2K/HP-LJ-1010 
<password> -c "print -"

the contents of ./.bash_profile do get printed on the SMB shared 
printer.
Comment 6 Tim Waugh 2004-01-21 12:21:29 EST
Sorry, I should have remembered that.

Could you please try the experimental redhat-config-printer packages at:

http://cyberelk.net/tim/data/tmp

to see if they fix the problem?  Thanks.
Comment 7 Naveed Ahmad 2004-01-22 10:49:31 EST
I have downloaded and installed the following rpms from
http://cyberelk.net/tim/data/tmp:

redhat-config-printer-0.6.47.3.14-1.i386.rpm
redhat-config-printer-gui-0.6.47.3.14-1.i386.rpm

Unfortunately, the newly installed packages are behaving in the same
manner as the previous version and therefore are not able to connect
to the SMB share.
Comment 8 Tim Waugh 2004-01-26 10:19:03 EST
Please try these:

http://cyberelk.net/tim/data/tmp/redhat-config-printer-0.6.47.3.15-1.i386.rpm
http://cyberelk.net/tim/data/tmp/redhat-config-printer-gui-0.6.47.3.15-1.i386.rpm

I think they should really fix the problem this time.  Thanks.
Comment 9 Naveed Ahmad 2004-01-26 11:38:52 EST
The new RPMs have resolved the problem. I am now successfully able to
configure the print queue for the SMB share.

Thanks very much for your help.

Best regards.
Comment 10 RHEL Product and Program Management 2007-10-19 15:31:02 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.